MPD: PlaylistFile.hxx File Reference

MPD 0.20.15

Typedefs | Functions | Variables
PlaylistFile.hxx File Reference
`#include <vector>`
`#include <string>`
Include dependency graph for PlaylistFile.hxx:

Go to the source code of this file.

## Typedefs
typedef std::vector< std::string > | PlaylistFileContents

## Functions
void | spl_global_init ()
| Perform some global initialization, e.g. More...
bool | spl_valid_name (const char *name_utf8)
| Determines whether the specified string is a valid name for a stored playlist. More...
AllocatedPath | spl_map_to_fs (const char *name_utf8)
PlaylistVector | ListPlaylistFiles ()
| Returns a list of stored_playlist_info struct pointers. More...
PlaylistFileContents | LoadPlaylistFile (const char *utf8path)
void | spl_move_index (const char *utf8path, unsigned src, unsigned dest)
void | spl_clear (const char *utf8path)
void | spl_delete (const char *name_utf8)
void | spl_remove_index (const char *utf8path, unsigned pos)
void | spl_append_song (const char *utf8path, const DetachedSong &song)
void | spl_append_uri (const char *path_utf8, const SongLoader &loader, const char *uri_utf8)
| Throws #std::runtime_error on error. More...
void | spl_rename (const char *utf8from, const char *utf8to)

## Variables
bool | playlist_saveAbsolutePaths

## Typedef Documentation

## ◆ PlaylistFileContents

typedef std::vector<std::string> PlaylistFileContents

Definition at line 29 of file PlaylistFile.hxx.

## Function Documentation

## ◆ ListPlaylistFiles()

PlaylistVector ListPlaylistFiles | ( |  | ) |

Returns a list of stored_playlist_info struct pointers.

## ◆ LoadPlaylistFile()

PlaylistFileContents LoadPlaylistFile | ( | const char * | utf8path | ) |

## ◆ spl_append_song()

void spl_append_song | ( | const char * | utf8path,
|  | const DetachedSong & | song
| ) |  |

## ◆ spl_append_uri()

void spl_append_uri | ( | const char * | path_utf8,
|  | const SongLoader & | loader,
|  | const char * | uri_utf8
| ) |  |

Throws #std::runtime_error on error.

## ◆ spl_clear()

void spl_clear | ( | const char * | utf8path | ) |

## ◆ spl_delete()

void spl_delete | ( | const char * | name_utf8 | ) |

## ◆ spl_global_init()

void spl_global_init | ( |  | ) |

Perform some global initialization, e.g.

load configuration values.

## ◆ spl_map_to_fs()

AllocatedPath spl_map_to_fs | ( | const char * | name_utf8 | ) |

## ◆ spl_move_index()

void spl_move_index | ( | const char * | utf8path,
|  | unsigned | src,
|  | unsigned | dest
| ) |  |

## ◆ spl_remove_index()

void spl_remove_index | ( | const char * | utf8path,
|  | unsigned | pos
| ) |  |

## ◆ spl_rename()

void spl_rename | ( | const char * | utf8from,
|  | const char * | utf8to
| ) |  |

## ◆ spl_valid_name()

bool spl_valid_name | ( | const char * | name_utf8 | ) |

Determines whether the specified string is a valid name for a stored playlist.

## Variable Documentation

## ◆ playlist_saveAbsolutePaths

bool playlist_saveAbsolutePaths